/*
Theme Name: Otter Delivery
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Alessandro Bonacina
Author URI: https://alessandrobonacina.com/
Description: Tema child basato su Kadence, personalizzato ed ottimizzato per ristoranti e pizzerie con servizio di delivery ed asporto.
Tags: translation-ready,two-columns,right-sidebar,left-sidebar,footer-widgets,blog,custom-logo,custom-background,custom-menu,rtl-language-support,editor-style,threaded-comments,custom-colors,featured-images,wide-blocks,full-width-template,theme-options,e-commerce
Version: 1.2.6.1722156122
Updated: 2024-07-28 10:42:02

*/

html {
    scroll-behavior: smooth;
}

/* STICKY */
.sticky-container {
    position: sticky;
    z-index: 11;
    top: 0;
    left: 0;
    margin-inline: calc(50% - 50vw);
}

.sticky-container nav#navigazione-menu {
    padding: 1rem;
    overflow: auto;
    background-color: var(--global-palette3);
}

nav#navigazione-menu ul {
    list-style: none;
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    gap: 1.5rem;
    margin: 0;
}

nav#navigazione-menu ul li a {
	padding: 0.5rem 0.85rem 0.3rem;
    background-color: #fff;
	clip-path: polygon(0 20%, 10% 0, 100% 0, 100% 20%, 100% 80%, 90% 100%, 0% 100%, 0% 100%);
    color: #000;
	text-decoration: none;
    font-size: 1.1rem;
    line-height: unset !important;
	transition: 300ms ease-in-out;
}


nav#navigazione-menu ul li a:hover {
    background-color: var(--global-palette2); 
}

.sticky-container .ricerca {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    padding: 0 1rem 1rem 1rem;
    background-color: var(--global-palette3);
    justify-content: center;
}
.sticky-container .ricerca form div {
    background-color: transparent !important;
}

.sticky-container .ricerca .facetwp-facet {
    width: -webkit-fill-available;
    margin: 0 auto;
    display: flex;
}

.sticky-container .ricerca .facetwp-facet > div {
    width: min(400px, 100%);
    margin: 0 auto;
}

.sticky-container .ricerca .facetwp-facet .fs-label-wrap .fs-label {
    padding: 0.5rem 2rem 0.35rem 0.5rem;
    color: #000;
    line-height: normal;
}

.sticky-container .ricerca .facetwp-facet .fs-dropdown * {
    z-index: 99;
}

.sticky-container .ricerca .facetwp-facet .fs-dropdown .fs-search {
    padding: 0.5rem;
    background-color: var(--global-palette2);
}

.sticky-container .ricerca .facetwp-facet .fs-dropdown .fs-search input {
	color: #000;
}

.sticky-container .ricerca .facetwp-facet .fs-dropdown .fs-options {
    max-height: max-content;
    overflow: auto;
	padding-block: 0.5rem;
	color: #000 !important;
}

.sticky-container .ricerca .facetwp-facet .fs-dropdown .fs-options .fs-option.selected .fs-option-label {
    color: var(--global-palette1);
}

.sticky-container .ricerca .facetwp-facet .fs-wrap.multiple .fs-option.selected .fs-checkbox i {
    background-color: var(--global-palette1);
}

/* FINE STICKY */

:is(div.product-category, section.product-category) {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding-block: 4rem;
    padding-inline: 15%;
    position: relative;
    background-color: var(--global-palette1);
    margin-inline: calc(50% - 50vw);
}

:is(div.product-category, section.product-category):nth-child(even) {
    background-color: var(--global-palette2);
}

:is(div.product-category, section.product-category) .section_header {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    flex-wrap: wrap;
    align-items: center;
}

:is(div.product-category, section.product-category) .section_header a {
    background-color: #212121 !important;
    color: #fff;
    padding: 0.75rem 1.25rem 0.5rem;
    text-decoration: none;
    line-height: 1;
}

:is(div.product-category, section.product-category) .section_header a:hover {
    color: var(--global-palette2);
}

:is(div.product-category, section.product-category) ul.products {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    grid-gap: 2rem;
}

/* FacetWP Flyout Filters
.facetwp-flyout-filters-container {
    position: fixed;
    z-index: 9999;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    background-color: #000;
}*/

/* Miniature prodotti */
.woocommerce :is(div.product-category, section.product-category):nth-child(odd) ul.products:not(.woo-archive-btn-button)  span.onsale {
    background-color: var(--global-palette2);
    color: var(--global-palette3);
}

.woocommerce ul.products li.product h3, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product .woocommerce-loop-category__title {
    font-size: 1.4rem;
}

span.woocommerce-Price-amount.amount {
    font-size: 1.1rem;
    color: var(--global-palette4);
}

.woocommerce ul.products:not(.woo-archive-btn-button) li:where(:not(.woo-archive-btn-button) ) .button:not(.kb-button) {
    background: var(--global-palette2);
    padding: 0.5rem 1.5rem;
    font-weight: 500;
    color: var(--global-palette3);
    font-size: 1rem;
}

.woocommerce :is(div.product-category, section.product-category):nth-child(even) ul.products:not(.woo-archive-btn-button) li:where(:not(.woo-archive-btn-button) ) .button:not(.kb-button) {
    background: var(--global-palette1);
    color: #fff;
}

@media (max-width: 767px) {
    :is(div.product-category, section.product-category) {
        padding-inline: 6%;
    }
    .dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp {
        background: transparent;
        margin-block-end: 2rem;
    }
    .woocommerce ul.products:not(.products-list-view), .wp-site-blocks .wc-block-grid:not(.has-2-columns):not(.has-1-columns) .wc-block-grid__products {
        column-gap: 1rem;
        grid-row-gap: 1rem;
    }
    .woocommerce ul.products li.product .entry-content-wrap {
        padding: 1rem 0.75rem 1.5rem;
        margin: 0;
    }
    .woocommerce ul.products li.product h3, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product .woocommerce-loop-category__title {
        font-size: 1.1rem;
    }
    .woocommerce ul.products:not(.woo-archive-btn-button) li:where(:not(.woo-archive-btn-button) ) .button:not(.kb-button) {
        padding: 0.5rem !important;
        font-size: 0.75rem !important;
        width: 100% !important;
        display: block;
        text-align: center;
        line-height: 1;
    }
}

